Func _ImportSettings($settingsfile)
	;Misc Window
	GUICtrlSetData($GUI_Set_SaveDir, IniRead($settingsfile, "Vistumbler", "SaveDir", $SaveDir))
	GUICtrlSetData($GUI_Set_SaveDirAuto, IniRead($settingsfile, "Vistumbler", "SaveDirAuto", $SaveDirAuto))
	GUICtrlSetData($GUI_Set_SaveDirKml, IniRead($settingsfile, "Vistumbler", "SaveDirKml", $SaveDirKml))
	GUICtrlSetData($GUI_BKColor, IniRead($settingsfile, "Vistumbler", "BackgroundColor", $BackgroundColor))
	GUICtrlSetData($GUI_CBKColor, IniRead($settingsfile, "Vistumbler", "ControlBackgroundColor", $ControlBackgroundColor))
	GUICtrlSetData($GUI_RefreshLoop, IniRead($settingsfile, "Vistumbler", "Sleeptime", $RefreshLoopTime))
	GUICtrlSetData($GUI_PhilsGraphURL, IniRead($settingsfile, "Vistumbler", "PhilsGraphURL", $PhilsGraphURL))
	GUICtrlSetData($GUI_PhilsWdbURL, IniRead($settingsfile, "Vistumbler", "PhilsWdbURL", $PhilsWdbURL))
	;GPS Window
	If IniRead($settingsfile, "Vistumbler", "UseNetcomm", $UseNetcomm) = 1 Then
		GUICtrlSetState($Rad_UseNetcomm, $GUI_CHECKED)
	Else
		GUICtrlSetState($Rad_UseCommMG, $GUI_CHECKED)
	EndIf
	GUICtrlSetData($GUI_Comport, IniRead($settingsfile, "Vistumbler", "ComPort", $ComPort))
	GUICtrlSetData($GUI_Baud, IniRead($settingsfile, "Vistumbler", "Baud", $BAUD))
	
	$ImGpsFormat = IniRead($settingsfile, "Vistumbler", "GPSformat", $GPSformat)
	If $ImGpsFormat = 1 Then 
		GUICtrlSetData($GUI_Format, "dd.dddd")
	ElseIf $ImGpsFormat = 2 Then 
		GUICtrlSetData($GUI_Format, "dd mm ss")
	ElseIf $ImGpsFormat = 3 Then 
		GUICtrlSetData($GUI_Format, "ddmm.mmmm")
	EndIf
	;Language Tab
	GUICtrlSetData($GUI_Comport, IniRead($settingsfile, "Vistumbler", "Language", $ComPort))